Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update eval rubric.
Python
import requests url = "https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}" payload = { "name": "<string>", "description": "<string>", "eval_definition": {} } headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.text)
curl --request PUT \ --url https://www.datalab.to/api/v1/eval_rubrics/{rubric_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data '{ "name": "<string>", "description": "<string>", "eval_definition": {}}'
const options = { method: 'PUT', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', description: '<string>', eval_definition: {}})};fetch('https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "strings" "net/http" "io")func main() { url := "https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}" payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"eval_definition\": {}\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("X-API-Key", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "id": 123, "name": "<string>", "description": "<string>", "eval_definition": {}, "source": "<string>", "source_processor_id": "<string>", "archived": true, "version": 123, "created": "2023-11-07T05:31:56Z", "updated": "2023-11-07T05:31:56Z", "version_history": [ "<unknown>" ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
200
Successful Response
Was this page helpful?